<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/EmpresasModel.php';
require_once '../Class/controller/EmpresasControl.php';

$control = new EmpresasControl();
$model = new EmpresasModel();

$control->setDel();

$del = $control->getDel();

if ($del > 0)
{
	$model->setId($del);
	$model->delete();
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	
		<title>Módulo Financeiro</title>
		
		<?php include_once('controls/import.php'); ?>
	
	</head>
<body>
	
	<?php include_once('controls/header.php'); ?>

	<div class="content">
	
		<div class="form">
		
		<?php include_once('controls/menu.php'); ?>
			
			<div id="conteudo-site">
			
				<div class="titulo-conteudo-site">
					<img src="images/applications.png" title="" alt="" /> Empresas  
				</div>
				
		        <div class="pg-botoes" style="float: right;">
		        	<a href="cadempresas.php" class="submit"> cadastrar </a>
		        </div>
					<br clear="all"/>
						<table border="0" cellpadding="3" cellspacing="0" class="gridPesquisa fundoGridPesquisa" width="100%">
						    <tr>
						    	<th>Id</th>
						    	<th>Nome</th>
						    	<th>Cnpj</th>
						    	<th>Telefone</th>
						    	<th>Email</th>
						    	<th></th>
						    </tr>
						    
<?php

	foreach ($model->listAll() as $item) {

		echo "<tr>";
		echo "<td> <a href='cadempresas.php?id={$item->getId()}'> {$item->getId()} </a></td>";
		echo "<td> <a href='cadempresas.php?id={$item->getId()}'> {$item->getNome()} </a></td>";
		echo "<td> <a href='cadempresas.php?id={$item->getId()}'> {$item->getCnpj()} </a></td>";
		echo "<td> <a href='cadempresas.php?id={$item->getId()}'> {$item->getTelefone()} </a></td>";
		echo "<td> <a href='cadempresas.php?id={$item->getId()}'> {$item->getEmail()} </a></td>";
		echo "<td> <a href='empresas.php?del={$item->getId()}' onclick='return DeleteItem();'> <img src='images/ico-minus.png' /> </td>";
		echo "</tr>";
	}

	?>

</table>
			</div>
			
		</div>
		
	</div>
	
	<?php include_once('controls/footer.php'); ?>
	
</body>
</html>
